<?php
# PLUGIN INFO
$plugin_folder = "Email_Marketing_Administrator";
$plugin_title = "Email Marketing Administrator";
$plugin_version = "1.04";
$plugin_author = "Springboard Net Solutions";
$plugin_options_link = "signup_create.php";
$plugin_homepage = "http://4sitebuilder.com";
$plugin_icon="ema-plugin-icon.gif";
# Description text
$plugin_description = "Makes it easy to integrate an Email Marketing Administrator signup form into your site.";

$file_that_creates_plugin_dbtables = "install-create_dbtables.php";
$drop_tables[] = "ema_signup";

$data = array();
$data['enabled_button_image'] = "ema-plugin-icon.gif";
$data['disabled_button_image'] = "ema-plugin-icon.gif";
$data['enabled_button_link'] = "signup_create.php";
$data['button_caption_text'] = "EMA";
$data['multiuser_access_code'] = ";MOD_EMA;";
hook_special("main_menu_button", $data);

# SPECIAL HOOK: Header nav buttons
$data = array();
$data['button1']['button_text'] = "ema"; // This string will be passed through lang() for translation
$data['button1']['button_onclick'] = base64_encode("parent.body.location.href='../plugins/Email_Marketing_Administrator/signup_create';"); // Do not use single quotes in this string




# Page Editor
$data = array();
$data['draggable_object_image'] = "ema-object-icon.gif";
$data['draggable_object_id'] = "ema_obj";
$data['properties_dialog_id'] = "emalayer";
$data['mod_folder'] = $plugin_folder;

$data['properties_dialog_file'] = $plugin_folder.DIRECTORY_SEPARATOR."ema_props.php";
$data['place_object_js_function'] = $plugin_folder.DIRECTORY_SEPARATOR."ema_js.php";

hook_special("page_editor_object", $data);

#Firefox
hook_attach("ema_js-ff.php", "pe_ff-place_object_js");
hook_attach("ema_props-ff.php", "pe_ff-properties_dialog_layer");

#IE
hook_attach("ema_js.php", "pe-place_object_js");
hook_attach("ema_props.php", "pe-properties_dialog_layer");

# Misc
hook_attach("ema_rtb.php", "rtb_contentloop");
hook_attach("ema_write.php", "pe-confile_object_data");

?>